SD_BUS_MESSAGE_NEW_SIGNAL(3)

NAME
sd_bus_message_new_signal - Create a signal message

SYNOPSIS

#include <elogind/sd-bus.h>

int sd_bus_message_new_signal(sd_bus *bus, sd_bus_message **m, const char *path, const char *interface, const char *member);

DESCRIPTION

The sd_bus_message_new_signal() function creates a new bus message object that encapsulates a D-Bus signal, and returns it in the m output parameter. The signal will be sent to path path, on the interface interface, member member. When this message is sent, no reply is expected. See sd_bus_message_new_method_call(1) for a short description of the meaning of the path, interface, and member parameters.

RETURN VALUE

This function returns 0 if the message object was successfully created, and a negative errno-style error code otherwise.

  Errors

Returned errors may indicate the following problems:

-EINVAL
    The output parameter m is NULL.

    The path parameter is not a valid D-Bus path ("/an/object/path"), the interface parameter is not a valid D-Bus interface name ("an.interface.name"), or the member parameter is not a valid D-Bus member ("Name").

-ENOTCONN
    The bus parameter bus is NULL or the bus is not connected.

-ENOMEM
    Memory allocation failed.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libelogind pkg-config(1) file.

SEE ALSO

elogind(8), sd-bus(3), sd_bus_emit_signal(3)